#ifndef _LINKEDLIST_H_
#define _LINKEDLIST_H_

typedef struct listElem {
	struct listElem *prev;
	struct listElem *next;
	void *ptr;
} ListElem;

typedef struct {
	ListElem *head;
	ListElem *tail;
} ListDesc;

ListElem *listLinkAfter();
ListElem *listLinkBefore();
ListElem *listGetFirst();
ListElem *listGetLast();

#endif
